LOCAL_PATH := $(call my-dir)

###########################
#
# Tk shared library
#
###########################

include $(CLEAR_VARS)

LOCAL_MODULE := tk

LOCAL_C_INCLUDES := $(LOCAL_PATH)/generic $(LOCAL_PATH)/sdl \
	$(LOCAL_PATH)/xlib $(LOCAL_PATH)/bitmaps \
	$(LOCAL_PATH)/sdl/agg23/include $(LOCAL_PATH)/sdl/agg23/font_freetype \
	$(LOCAL_PATH)/../tcl/generic $(LOCAL_PATH)/../tcl/unix \
	$(LOCAL_PATH) $(LOCAL_PATH)/../freetype/include

LOCAL_EXPORT_C_INCLUDES := $(LOCAL_C_INCLUDES)

LOCAL_SRC_FILES := \
        generic/tk3d.c \
	generic/tkArgv.c \
        generic/tkAtom.c \
	generic/tkBind.c \
	generic/tkBitmap.c \
	generic/tkBusy.c \
	generic/tkClipboard.c \
	generic/tkCmds.c \
	generic/tkColor.c \
	generic/tkConfig.c \
	generic/tkCursor.c \
	generic/tkError.c \
	generic/tkEvent.c \
	generic/tkFocus.c \
	generic/tkFont.c \
	generic/tkGet.c \
	generic/tkGC.c \
	generic/tkGeometry.c \
	generic/tkGrab.c \
	generic/tkGrid.c \
	generic/tkConsole.c \
	generic/tkMain.c \
	generic/tkOption.c \
	generic/tkPack.c \
	generic/tkPlace.c \
	generic/tkSelect.c \
	generic/tkStyle.c \
	generic/tkUndo.c \
	generic/tkUtil.c \
	generic/tkVisual.c \
	generic/tkWindow.c \
	generic/tkButton.c \
	generic/tkObj.c \
	generic/tkEntry.c \
	generic/tkFrame.c \
	generic/tkListbox.c \
	generic/tkMenu.c \
	generic/tkMenubutton.c \
	generic/tkMenuDraw.c \
	generic/tkMessage.c \
	generic/tkPanedWindow.c \
	generic/tkPointer.c \
	generic/tkScale.c \
	generic/tkScrollbar.c \
	generic/tkCanvas.c \
	generic/tkCanvArc.c \
	generic/tkCanvBmap.c \
	generic/tkCanvImg.c \
	generic/tkCanvLine.c \
	generic/tkCanvPoly.c \
	generic/tkCanvPs.c \
	generic/tkCanvText.c \
	generic/tkCanvUtil.c \
	generic/tkCanvWind.c \
	generic/tkRectOval.c \
	generic/tkTrig.c \
	generic/tkImage.c \
	generic/tkImgBmap.c \
	generic/tkImgGIF.c \
	generic/tkImgPNG.c \
	generic/tkImgPPM.c \
	generic/tkImgUtil.c \
	generic/tkImgPhoto.c \
	generic/tkImgPhInstance.c \
	generic/tkText.c \
	generic/tkTextBTree.c \
	generic/tkTextDisp.c \
	generic/tkTextImage.c \
	generic/tkTextIndex.c \
	generic/tkTextMark.c \
	generic/tkTextTag.c \
	generic/tkTextWind.c \
	generic/tkOldConfig.c \
	generic/ttk/ttkBlink.c \
	generic/ttk/ttkButton.c \
	generic/ttk/ttkCache.c \
	generic/ttk/ttkClamTheme.c \
	generic/ttk/ttkClassicTheme.c \
	generic/ttk/ttkDefaultTheme.c \
	generic/ttk/ttkElements.c \
	generic/ttk/ttkEntry.c \
	generic/ttk/ttkFrame.c \
	generic/ttk/ttkImage.c \
	generic/ttk/ttkInit.c \
	generic/ttk/ttkLabel.c \
	generic/ttk/ttkLayout.c \
	generic/ttk/ttkManager.c \
	generic/ttk/ttkNotebook.c \
	generic/ttk/ttkPanedwindow.c \
	generic/ttk/ttkProgress.c \
	generic/ttk/ttkScale.c \
	generic/ttk/ttkScrollbar.c \
	generic/ttk/ttkScroll.c \
	generic/ttk/ttkSeparator.c \
	generic/ttk/ttkSquare.c \
	generic/ttk/ttkState.c \
	generic/ttk/ttkTagSet.c \
	generic/ttk/ttkTheme.c \
	generic/ttk/ttkTrace.c \
	generic/ttk/ttkTrack.c \
	generic/ttk/ttkTreeview.c \
	generic/ttk/ttkWidget.c \
	xlib/xcolors.c \
        sdl/tkSDL.c \
	sdl/tkSDL3d.c \
	sdl/tkSDLButton.c \
	sdl/tkSDLColor.c \
	sdl/tkSDLConfig.c \
	sdl/tkSDLCursor.c \
	sdl/tkSDLDraw.c \
	sdl/tkSDLEmbed.c \
	sdl/tkSDLEvent.c \
	sdl/tkSDLFocus.c \
	sdl/tkSDLFont.c \
	sdl/tkSDLInit.c \
	sdl/tkSDLKey.c \
	sdl/tkSDLMenu.c \
	sdl/tkSDLMenubu.c \
	sdl/tkSDLScale.c \
	sdl/tkSDLScrlbr.c \
	sdl/tkSDLSelect.c \
	sdl/tkSDLSend.c \
	sdl/tkSDLWm.c \
	sdl/tkSDLXId.c \
	sdl/SdlTkDecframe.c \
	sdl/SdlTkGfx.c \
	sdl/SdlTkInt.c \
	sdl/SdlTkUtils.c \
	sdl/SdlTkX.c \
	sdl/Region.c \
	sdl/SdlTkAGG.cpp \
	sdl/agg23/src/agg_arc.cpp \
	sdl/agg23/src/agg_bezier_arc.cpp \
	sdl/agg23/src/agg_curves.cpp \
	sdl/agg23/src/agg_vcgen_stroke.cpp \
	sdl/agg23/src/agg_path_storage.cpp \
	sdl/agg23/src/agg_rasterizer_scanline_aa.cpp \
	sdl/agg23/src/agg_line_aa_basics.cpp \
	sdl/agg23/src/agg_line_profile_aa.cpp \
	sdl/agg23/src/agg_sqrt_tables.cpp \
	sdl/agg23/src/agg_trans_affine.cpp \
	sdl/agg23/font_freetype/agg_font_freetype.cpp \
	sdl/agg23/gpc/gpc.c

LOCAL_CFLAGS := \
        -DHAVE_SYS_SELECT_H=1 \
        -DHAVE_LIMITS_H=1 \
        -DHAVE_UNISTD_H=1 \
        -DHAVE_SYS_PARAM_H=1 \
        -D_LARGEFILE64_SOURCE=1 \
        -DTCL_WIDE_INT_TYPE="long long" \
        -DTCL_SHLIB_EXT="\".so\"" \
        -DHAVE_CAST_TO_UNION=1 \
        -DHAVE_GETCWD=1 \
        -DHAVE_OPENDIR=1 \
	-DHAVE_MKSTEMP=1 \
	-DHAVE_MKSTEMPS=1 \
        -DHAVE_STRSTR=1 \
        -DHAVE_STRTOL=1 \
        -DHAVE_STRTOLL=1 \
        -DHAVE_STRTOULL=1 \
        -DHAVE_TMPNAM=1 \
        -DHAVE_WAITPID=1 \
	-DHAVE_STRUCT_ADDRINFO=1 \
	-DHAVE_STRUCT_IN6_ADDR=1 \
	-DHAVE_STRUCT_SOCKADDR_IN6=1 \
	-DHAVE_STRUCT_SOCKADDR_STORAGE=1 \
        -DUSE_TERMIOS=1 \
        -DHAVE_MKTIME=1 \
        -DUSE_INTERP_ERRORLINE=1 \
        -DHAVE_SYS_TIME_H=1 \
        -DTIME_WITH_SYS_TIME=1 \
        -DHAVE_TM_ZONE=1 \
        -DHAVE_GMTIME_R=1 \
        -DHAVE_LOCALTIME_R=1 \
        -DHAVE_TM_GMTOFF=1 \
        -DHAVE_TIMEZONE_VAR=1 \
        -DHAVE_ST_BLKSIZE=1 \
        -DSTDC_HEADERS=1 \
	-DHAVE_INTPTR_T=1 \
	-DHAVE_UINTPTR_T=1 \
	-DHAVE_SIGNED_CHAR=1 \
        -DHAVE_SYS_IOCTL_H=1 \
        -DVOID=void \
	-D_REENTRANT=1 \
	-D_THREADSAFE=1 \
	-DTCL_THREADS=1 \
	-DUSE_THREAD_ALLOC=1 \
        -DZIPFS_IN_TCL=1 \
	-DTK_LIBRARY="\"/assets/sdl2tk8.6\"" \
	-DPLATFORM_SDL=1 \
	-DPACKAGE_NAME=\"tk\" \
	-DPACKAGE_VERSION=\"8.6\" \
	-DBUILD_tk=1 \
	-O2

LOCAL_SHARED_LIBRARIES := libtcl libSDL2 libfreetype

LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)
